// Copyright 2020 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef CHROME_BROWSER_CHROMEOS_BOREALIS_BOREALIS_UTIL_H_
#define CHROME_BROWSER_CHROMEOS_BOREALIS_BOREALIS_UTIL_H_

#include <string>

class Profile;

namespace borealis {

// This is used by the Borealis app and the Borealis installer.
// Generated by crx_file::id_util::GenerateId("org.chromium.borealis");
extern const char kBorealisAppId[];
// This is used to install the Borealis DLC component.
extern const char kBorealisDlcName[];
// The regex used for extracing the Borealis app id of an application.
extern const char kBorealisAppIdRegex[];

// Shows the Borealis installer (borealis_installer_view).
void ShowBorealisInstallerView(Profile* profile);

// Extracts the borealis app id from |exec| and puts it into |app_id|,
// returns true if successful.
// TODO(b/173547790): This should probably be moved when we've decided
// the details of how/where it will be used.
bool GetBorealisAppId(std::string exec, int& app_id);

}  // namespace borealis

#endif  // CHROME_BROWSER_CHROMEOS_BOREALIS_BOREALIS_UTIL_H_
